<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the
 * plugin admin area. This file also defines a function that starts the plugin.
 *
 * @package ZGo-Payments
 *
 * @wordpress-plugin
 * Plugin Name:       ZGo Payment Database
 * Plugin URI:        http://vergara.tech
 * Description:       Display payments processed using ZGo Payment Gateway.
 * Version:           1.0.0
 * Author:            Vergara Tech 
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	 die;
}

// Include the dependencies needed to instantiate the plugin.
foreach ( glob( plugin_dir_path( __FILE__ ) . 'admin/*.php' ) as $file ) {
	include_once $file;
}

add_action( 'plugins_loaded', 'zgopmtlist_plugin' );
 
/**
 * Starts the plugin.
 *
 * @since 1.0.0
 */
function zgopmtlist_plugin() {

  $path = str_replace('zgopmtlist/','',plugin_dir_path( __FILE__ ));

  $plugin = new Submenu( new Submenu_Page($path) );
  $plugin->init();

}
